Subject: Re: bug#76620: 30.1.50; mouse-1 mode-line bindings are unusable when point is on a button

From: Stefan Monnier <[email-masked]>
Date: Mon, 08 Sep 2025 18:17:43 -0400

>> I have a more demanding request: any chance we could concoct an ERT test
>> for that?  I realize that it might be difficult, but we keep skipping
>> such "UI" tests because they're difficult, so I think we should try to
>> slowly get closer to having an actual test suite of the UI elements.
>> If you can identify one obstacle that makes it currently impossible,
>> maybe we can fix that obstacle, and thus make one step in that direction.
> A very reasonable request, I think.  How about the test in the attached
> patch?  It's not really an end-to-end test, but I think it's still
> useful.

Thanks, looks good.

> Then I could write some code which does "click on the mode
> line" and test that that has the right behavior.

Yeah, tho it's not completely clear how to write "click on the mode
line" in code (including specifying where on the mode line).

> But I have no idea how to do that, is there even a way?

In the past, some mentioned running a TTY session of Emacs inside
a nested inside a `M-x term` buffer.  But maybe some clever use of
`posn-at-x-y` could help build up the posn objects in your test in
a more "intentional way".

In the mean time, I'm happy with your test.

Eli, should I push it?

        Stefan